php-container-interop-1.2.0-1.el5.remi.noarch.rpm


Advertisement

Description

php-container-interop - Promoting the interoperability of container objects (DIC, SL, etc.)

Property Value
Distribution CentOS 5
Repository Les RPM de Remi i386
Package name php-container-interop
Package version 1.2.0
Package release 1.el5.remi
Package architecture noarch
Package type rpm
Installed size 94.47 KB
Download size 72.65 KB
Official Mirror rpms.famillecollet.com
container-interop tries to identify and standardize features in container
objects (service locators, dependency injection containers, etc.) to achieve
interopererability.
Through discussions and trials, we try to create a standard, made of common
interfaces but also recommendations.
If PHP projects that provide container implementations begin to adopt these
common standards, then PHP applications and projects that use containers can
depend on the common interfaces instead of specific implementations. This
facilitates a high-level of interoperability and flexibility that allows users
to consume any container implementation that can be adapted to these interfaces.
The work done in this project is not officially endorsed by the PHP-FIG [1],
but it is being worked on by members of PHP-FIG and other good developers. We
adhere to the spirit and ideals of PHP-FIG, and hope this project will pave the
way for one or more future PSRs.
Autoloader: /usr/share/php/Interop/Container/autoload.php
[1] http://www.php-fig.org/

Alternatives

Package Version Architecture Repository
php-container-interop-1.2.0-1.el5.remi.noarch.rpm 1.2.0 noarch Les RPM de Remi
php-container-interop-1.1.0-1.el5.remi.noarch.rpm 1.1.0 noarch Les RPM de Remi
php-container-interop-1.1.0-1.el5.remi.noarch.rpm 1.1.0 noarch Les RPM de Remi
php-container-interop - - -

Requires

Name Value
php(language) >= 5.3.0
php-composer(fedora/autoloader) -
php-composer(psr/container) < 2
php-composer(psr/container) >= 1.0

Provides

Name Value
php-composer(container-interop/container-interop) = 1.2.0
php-container-interop = 1.2.0-1.el5.remi
php-container-interop-container-interop = 1.2.0-1.el5.remi

Download

Type URL
Binary Package php-container-interop-1.2.0-1.el5.remi.noarch.rpm
Source Package php-container-interop-1.2.0-1.el5.remi.src.rpm

Install Howto

  1. Download the latest remi-release rpm from
    http://rpms.famillecollet.com/enterprise/5/remi/i386/
  2. Install remi-release rpm:
    # rpm -Uvh remi-release*rpm
  3. Install php-container-interop rpm package:
    # yum --enablerepo=remi install php-container-interop

Files

Path
/usr/share/doc/php-container-interop-1.2.0/LICENSE
/usr/share/doc/php-container-interop-1.2.0/README.md
/usr/share/doc/php-container-interop-1.2.0/composer.json
/usr/share/doc/php-container-interop-1.2.0/docs/ContainerInterface-meta.md
/usr/share/doc/php-container-interop-1.2.0/docs/ContainerInterface.md
/usr/share/doc/php-container-interop-1.2.0/docs/Delegate-lookup-meta.md
/usr/share/doc/php-container-interop-1.2.0/docs/Delegate-lookup.md
/usr/share/doc/php-container-interop-1.2.0/docs/images/interoperating_containers.png
/usr/share/doc/php-container-interop-1.2.0/docs/images/priority.png
/usr/share/doc/php-container-interop-1.2.0/docs/images/side_by_side_containers.png
/usr/share/php/Interop/
/usr/share/php/Interop/Container/ContainerInterface.php
/usr/share/php/Interop/Container/autoload.php
/usr/share/php/Interop/Container/Exception/ContainerException.php
/usr/share/php/Interop/Container/Exception/NotFoundException.php

Changelog

2017-03-02 - Remi Collet <remi@remirepo.net> - 1.2.0-1
- update to 1.2.0
- add dependency on psr/container
- switch to fedora/autoloader
- add minimal autoloader check
2016-01-04 - Remi Collet <remi@remirepo.net> - 1.1.0-1
- backport for #remirepo
2016-01-03 - Shawn Iwinski <shawn@iwin.ski> - 1.1.0-1
- Initial package

See Also

Package Description
php-cs-fixer-2.1.0-1.el5.remi.noarch.rpm A tool to automatically fix PHP code style
php-cs-fixer-2.1.2-1.el5.remi.noarch.rpm A tool to automatically fix PHP code style
php-cssjanus-1.1.1-1.el5.remi.noarch.rpm Convert CSS stylesheets between left-to-right and right-to-left
php-cssjanus-1.1.2-1.el5.remi.noarch.rpm Convert CSS stylesheets between left-to-right and right-to-left
php-d11wtq-boris-1.0.10-2.el5.remi.noarch.rpm A tiny, but robust REPL (Read-Evaluate-Print-Loop) for PHP
php-dba-5.4.45-12.el5.remi.i386.rpm A database abstraction layer module for PHP applications
php-dba-5.4.45-13.el5.remi.i386.rpm A database abstraction layer module for PHP applications
php-deepend-Mockery-0.9.8-1.el5.remi.noarch.rpm Mockery is a simple but flexible PHP mock object framework
php-deepend-Mockery-0.9.9-1.el5.remi.noarch.rpm Mockery is a simple but flexible PHP mock object framework
php-devel-5.4.45-12.el5.remi.i386.rpm Files needed for building PHP extensions
php-devel-5.4.45-13.el5.remi.i386.rpm Files needed for building PHP extensions
php-di-5.2.0-1.el5.remi.noarch.rpm The dependency injection container for humans
php-di-5.2.2-1.el5.remi.noarch.rpm The dependency injection container for humans
php-di-invoker-1.3.0-1.el5.remi.noarch.rpm Generic and extensible callable invoker
php-di-invoker-1.3.3-1.el5.remi.noarch.rpm Generic and extensible callable invoker
Advertisement
Advertisement